app/app/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('core/', include('core.urls'))
]

app/core/urls.py
from django.urls import path

from . import views

app_name = 'core'

urlpatterns = [
    path("", views.IndexTemplateView.as_view(), name="index"),
    path("import-user", views.import_user_view, name="import"),
    path("celery-progress", views.get_progress_view, name="progress"),
]

app/core/models.py
from django.db import models


class Contact(models.Model):
    username = models.CharField(max_length=30)
    phone = models.CharField(max_length=20)
    email = models.EmailField()
    created_on = models.DateTimeField(auto_now_add=True)

app/core/forms.py
from django import forms

class ImportFileForm(forms.Form):
    document_file = forms.FileField()

app/core/views.py
import os
import json

from django.shortcuts import render
from django.conf import settings
from django.views.generic import TemplateView
from django.http import Http404, HttpResponse

from celery_progress.backend import Progress

from .forms import ImportFileForm
from .management.commands import import_users_task
from .utils import in_memory_file_to_temp


# Create your views here.

class IndexTemplateView(TemplateView):
    template_name = "index.html"

def import_user_view(request):
    """
    The column of the excel file should be part of
    [Username, Password, Email, First Name, Last Name]
    """
    form = ImportFileForm(request.POST, request.FILES)
    if form.is_valid():
        filepath = os.path.join(
            settings.MEDIA_ROOT, in_memory_file_to_temp(form.cleaned_data.get('document_file'))
        )
        task = import_users_task.delay(os.path.join(settings.MEDIA_ROOT, filepath))
        return HttpResponse(json.dumps({"task_id": task.id}), content_type='application/json')
    raise Http404

def get_progress_view(request):
    progress = Progress(request.GET.get("task_id"))
    return HttpResponse(json.dumps(progress.get_info()), content_type='application/json')

app/core/templates/index.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Django Celery Progress Sample</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>

<body>
    {% comment %} {% include "navbar.html" %} {% endcomment %}

    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-md-6 offset-md-3 col-lg-6 offset-lg-3 sm-12 mb-5">
                <div class="card bg-light">
                    <div class="card-body">
                        <h5 class="card-title">Import user from excel</h5>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <form id="form-import" method="POST" action="{% url 'core:import' %}"
                                    enctype="multipart/form-data">
                                    {% csrf_token %}
                                    <div class="form-inline">
                                        <input type="file" name="document_file" class="form-control col mr-2" required>
                                        <button type="submit" class="btn btn-primary">Import</button>
                                    </div>
                                </form>
                            </div>
                            <div id="import-progress-container" class="col-md-12">
                                <div id="import-progress-message">Waiting event . . .</div>
                                <div class="progress">
                                    <div id="import-progress-bar"
                                        class="progress-bar progress-bar-striped progress-bar-animated"
                                        role="progressbar" aria-valuemin="0" aria-valuemax="100">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"
        integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script src="{% static 'celery_progress/celery_progress.js' %}"></script>
    <script>
        $(function () {
            $("#form-import").on("submit", (e) => {
                e.preventDefault()
                let formData = new FormData($("#form-import")[0])
                {% comment %} formData.append("csrfmiddlewaretoken", "{% csrf_token %}") {% endcomment %}
                $.ajax({
                    type: "POST",
                    url: "{% url 'core:import' %}",
                    data: formData,
                    contentType: false,
                    processData: false,
                    cache: false,
                    async: true,
                    success: function (res) {
                        getProgress(
                            res.task_id,
                            progressBarId = "import-progress-bar",
                            progressBarMessageId = "import-progress-message"
                        )
                    },
                    error: function (err) {
                        console.log(err);
                    },
                })
            })

            getProgress = (taskId, progressBarId, progressBarMessageId) => {
                var progressUrl = `{% url 'core:progress' %}?task_id=${taskId}`;
                function onExportUserProgress(progressBarElement, progressBarMessageElement, progress) {
                    progressBarMessageElement.innerHTML = `Progress ${progress.percent}% . . .`
                    progressBarElement.setAttribute("style", `width: ${progress.percent}%`)
                    progressBarElement.setAttribute("aria-valuenow", progress.percent)
                }

                function onExportUserSuccess(progressBarElement, progressBarMessageElement, result) {
                    alert("Complete progress 100%")
                    progressBarMessageElement.innerHTML = "Waiting event . . ."
                    progressBarElement.setAttribute("style", "width: 0%")
                    progressBarElement.setAttribute("aria-valuenow", 0)
                }
                CeleryProgressBar.initProgressBar(progressUrl, {
                    progressBarId: progressBarId,
                    progressBarMessageId: progressBarMessageId,
                    onProgress: onExportUserProgress,
                    onSuccess: onExportUserSuccess,
                })
            }
        });
    </script>
</body>

</html>